# TODO:
%define		orgname		kde-wallpapers
%define		_state		stable
%define		qtver		4.8.3

Summary:	KDE 4 wallpapers
Summary(pl.UTF-8):	Tapety KDE 4
Name:		kde4-wallpapers
Version:	4.10.5
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	b2bf9320ae0d2e7d4bb69f80eb83af4d
URL:		http://www.kde.org/
Obsoletes:	kde4-kdebase-workspace-wallpapers
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains KDE wallpapers.

%description -l pl.UTF-8
Ten pakiet zawiera tapety KDE.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	-DLIBEXEC_INSTALL_DIR=%{_libdir}/kde4/libexec \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/wallpapers/Ariya
%{_datadir}/wallpapers/Auros
%{_datadir}/wallpapers/Autumn
%{_datadir}/wallpapers/Azul
%{_datadir}/wallpapers/Blue_Wood
%{_datadir}/wallpapers/Castilla_Sky
%{_datadir}/wallpapers/Elarun
%{_datadir}/wallpapers/Flores
%{_datadir}/wallpapers/Flying_Field
%{_datadir}/wallpapers/Fog_on_the_West_Lake
%{_datadir}/wallpapers/Grass
%{_datadir}/wallpapers/Hanami
%{_datadir}/wallpapers/Horos
%{_datadir}/wallpapers/Media_Life
%{_datadir}/wallpapers/Prato
%changelog
* Wed Jul 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-wallpapers.git;a=log;h=master

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> da2bb32
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> ed9c293
- updated to 4.10.4 (by update-kde4.sh)

* Mon Apr 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e4f1be
- up to 4.10.2

* Fri Mar 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cf32518
- up to 4.10.1

* Thu Jan 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b5a4aa
- up to 4.10.0

* Sat Jan 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f62b8c
- up to 4.9.5

* Sun Dec 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0dce4a1
- up to 4.9.4

* Sat Nov 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d49a191
- up to 4.9.3

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a2e11f5
- up to 4.9.2

* Wed Sep 05 2012 Paweł Sikora <pawel.sikora@agmk.net> 5c1dd1c
- updated to 4.9.1.

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b6ad915
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ae08db8
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 05d179e
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b3def07
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a6fcfb4
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c7949a
- up to 4.8.1

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c2d18ae
- up to 4.8.0

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 973ff30
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ca1cf16
- up to 4.7.3

* Mon Oct 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bfbc08e
- up to 4.7.2

